<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.base.mapper.RepairWorkerMapper">

    <!--
        一般情况下，尽可能使用 Mapper 进行 CRUD 增删改查即可。
        无法满足的场景，例如说多表关联查询，才使用 XML 编写 SQL。
        代码生成器暂时只生成 Mapper XML 文件本身，更多推荐 MybatisX 快速开发插件来生成查询。
        文档可见：https://www.iocoder.cn/MyBatis/x-plugins/
     -->

    <select id="queryListPage" resultType="cn.iocoder.yudao.module.base.vo.RepairWorkerRespVO">
        SELECT
            main.*
        FROM
            dl_repair_worker main
                LEFT JOIN system_users su ON main.user_id = su.id
                AND su.deleted = 0
        <where>
            main.deleted = 0
            <if test="entity.userName != null and entity.userName != ''">
                and main.user_name like concat('%', #{entity.userName}, '%')
            </if>
            <if test="entity.workType != null and entity.workType != ''">
                and main.work_type = #{entity.workType}
            </if>
        </where>
        order by main.create_time desc

    </select>

    <select id="getAllWorkerIds" resultType="java.lang.Long">
        SELECT
            main.user_id
        FROM
            dl_repair_worker main
        WHERE
            main.deleted = 0
    </select>
    <select id="getByUserId" resultType="cn.iocoder.yudao.module.base.vo.RepairWorkerRespVO">
        SELECT
            main.*,
            sdd.label AS workerTypeStr
        FROM
            dl_repair_worker main
                LEFT JOIN system_dict_data sdd ON sdd.dict_type = 'repair_work_type' AND main.work_type = sdd.`value`
        WHERE
            main.deleted = 0
          AND main.user_id = #{userId}
    </select>
    <select id="listAllWorker" resultType="cn.iocoder.yudao.module.base.vo.RepairWorkerRespVO">
        SELECT
            main.*,
            sdd.label AS workerTypeStr
        FROM
            dl_repair_worker main
                LEFT JOIN system_dict_data sdd ON sdd.dict_type = 'repair_work_type' AND main.work_type = sdd.`value`
        WHERE
            main.deleted = 0
    </select>


</mapper>
